
_Timer1Int:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;MotorControl.c,58 :: 		void Timer1Int() iv IVT_ADDR_T1INTERRUPT
;MotorControl.c,60 :: 		T1IF_bit = 0;          // clear T1IF
	BCLR	T1IF_bit, #3
;MotorControl.c,61 :: 		ActualSpeed = SPEEDMULT/timer3avg;
	MOV	_timer3avg, W2
	CLR	W3
	MOV	#49990, W0
	MOV	#35, W1
	SETM	W4
	CALL	__Divide_32x32
	MOV	W0, _ActualSpeed
;MotorControl.c,62 :: 		if(Flags.CloseLoop)
	MOV	#lo_addr(_Flags), W0
	BTSS	[W0], #3
	GOTO	L_Timer1Int0
;MotorControl.c,64 :: 		SpeedError = DesiredSpeed - ActualSpeed;
	MOV	_DesiredSpeed, W1
	MOV	#lo_addr(_ActualSpeed), W0
	SUB	W1, [W0], W0
	MOV	W0, _SpeedError
;MotorControl.c,65 :: 		SpeedProportional = (int)(((long)Kps*(long)SpeedError) >> 15);
	MOV	_Kps, W2
	CLR	W3
	ASR	W0, #15, W1
	CALL	__Multiply_32x32
	MOV	#15, W3
	MOV	#lo_addr(_SpeedProportional), W2
	MOV.D	W0, [W2]
L__Timer1Int17:
	DEC	W3, W3
	BRA LT	L__Timer1Int18
	ASR	[++W2], [W2]
	RRC	[--W2], [W2]
	BRA	L__Timer1Int17
L__Timer1Int18:
	MOV	_SpeedProportional, W0
	ASR	W0, #15, W1
	MOV	W0, _SpeedProportional
	MOV	W1, _SpeedProportional+2
;MotorControl.c,66 :: 		SpeedIntegral = SpeedIntegral_n_1 + (int)(((long)Kis*(long)SpeedError) >> 15);
	MOV	_Kis, W2
	CLR	W3
	MOV	_SpeedError, W0
	ASR	W0, #15, W1
	CALL	__Multiply_32x32
	MOV	#15, W4
	MOV.D	W0, W2
L__Timer1Int19:
	DEC	W4, W4
	BRA LT	L__Timer1Int20
	ASR	W3, W3
	RRC	W2, W2
	BRA	L__Timer1Int19
L__Timer1Int20:
	MOV	W2, W4
	ASR	W4, #15, W5
	MOV	#lo_addr(_SpeedIntegral_n_1), W2
	ADD	W4, [W2++], W0
	ADDC	W5, [W2--], W1
	MOV	W0, _SpeedIntegral
	MOV	W1, _SpeedIntegral+2
;MotorControl.c,68 :: 		if (SpeedIntegral < 0)
	CP	W0, #0
	CPB	W1, #0
	BRA LT	L__Timer1Int21
	GOTO	L_Timer1Int1
L__Timer1Int21:
;MotorControl.c,69 :: 		SpeedIntegral = 0;
	CLR	W0
	CLR	W1
	MOV	W0, _SpeedIntegral
	MOV	W1, _SpeedIntegral+2
	GOTO	L_Timer1Int2
L_Timer1Int1:
;MotorControl.c,70 :: 		else if (SpeedIntegral > 32767)
	MOV	#32767, W1
	MOV	#0, W2
	MOV	#lo_addr(_SpeedIntegral), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA LT	L__Timer1Int22
	GOTO	L_Timer1Int3
L__Timer1Int22:
;MotorControl.c,71 :: 		SpeedIntegral = 32767;
	MOV	#32767, W0
	MOV	#0, W1
	MOV	W0, _SpeedIntegral
	MOV	W1, _SpeedIntegral+2
L_Timer1Int3:
L_Timer1Int2:
;MotorControl.c,72 :: 		SpeedIntegral_n_1 = SpeedIntegral;
	MOV	_SpeedIntegral, W0
	MOV	_SpeedIntegral+2, W1
	MOV	W0, _SpeedIntegral_n_1
	MOV	W1, _SpeedIntegral_n_1+2
;MotorControl.c,73 :: 		DutyCycle = SpeedIntegral + SpeedProportional;
	MOV	_SpeedIntegral, W3
	MOV	_SpeedIntegral+2, W4
	MOV	#lo_addr(_SpeedProportional), W2
	ADD	W3, [W2++], W0
	ADDC	W4, [W2--], W1
	MOV	W0, _DutyCycle
	MOV	W1, _DutyCycle+2
;MotorControl.c,74 :: 		if (DutyCycle < 0)
	CP	W0, #0
	CPB	W1, #0
	BRA LT	L__Timer1Int23
	GOTO	L_Timer1Int4
L__Timer1Int23:
;MotorControl.c,75 :: 		DutyCycle = 0;
	CLR	W0
	CLR	W1
	MOV	W0, _DutyCycle
	MOV	W1, _DutyCycle+2
	GOTO	L_Timer1Int5
L_Timer1Int4:
;MotorControl.c,76 :: 		else if (DutyCycle > 32767)
	MOV	#32767, W1
	MOV	#0, W2
	MOV	#lo_addr(_DutyCycle), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA LT	L__Timer1Int24
	GOTO	L_Timer1Int6
L__Timer1Int24:
;MotorControl.c,77 :: 		DutyCycle = 32767;
	MOV	#32767, W0
	MOV	#0, W1
	MOV	W0, _DutyCycle
	MOV	W1, _DutyCycle+2
L_Timer1Int6:
L_Timer1Int5:
;MotorControl.c,79 :: 		PDC1 = (int)(((long)(PTPER*2)*(long)DutyCycle) >> 15);
	MOV	PTPER, WREG
	SL	W0, #1, W0
	CLR	W1
	MOV	_DutyCycle, W2
	MOV	_DutyCycle+2, W3
	CALL	__Multiply_32x32
	MOV	#15, W4
	MOV.D	W0, W2
L__Timer1Int25:
	DEC	W4, W4
	BRA LT	L__Timer1Int26
	ASR	W3, W3
	RRC	W2, W2
	BRA	L__Timer1Int25
L__Timer1Int26:
	MOV	W2, PDC1
;MotorControl.c,80 :: 		PDC2 = PDC1;
	MOV	PDC1, WREG
	MOV	WREG, PDC2
;MotorControl.c,81 :: 		PDC3 = PDC1;
	MOV	PDC1, WREG
	MOV	WREG, PDC3
;MotorControl.c,82 :: 		}               // in closed loop algorithm
L_Timer1Int0:
;MotorControl.c,83 :: 		if(Flags.RunMotor == 0) { ActualSpeed = 0;}
	MOV	#lo_addr(_Flags), W0
	BTSC	[W0], #0
	GOTO	L_Timer1Int7
	CLR	W0
	MOV	W0, _ActualSpeed
L_Timer1Int7:
;MotorControl.c,85 :: 		}
L_end_Timer1Int:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _Timer1Int

_IC1Int:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;MotorControl.c,89 :: 		void IC1Int() iv IVT_ADDR_IC1INTERRUPT
;MotorControl.c,92 :: 		IFS0bits.IC1IF = 0;        // Clear interrupt flag
	BCLR	IFS0bits, #1
;MotorControl.c,93 :: 		HallValue = (unsigned int)((PORTB >> 1) & 0x0007);        // Read halls
	MOV	PORTB, WREG
	LSR	W0, #1, W1
	MOV	#lo_addr(_HallValue), W0
	AND	W1, #7, [W0]
;MotorControl.c,95 :: 		if (Flags.Direction)
	MOV	#lo_addr(_Flags), W0
	BTSS	[W0], #1
	GOTO	L_IC1Int8
;MotorControl.c,97 :: 		OVDCON = StateTableFwd[HallValue];
	MOV	_HallValue, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableFwd), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
;MotorControl.c,98 :: 		Hall_Index = HALL_INDEX_F;
; Hall_Index start address is: 2 (W1)
	MOV	#5, W1
;MotorControl.c,99 :: 		}
; Hall_Index end address is: 2 (W1)
	GOTO	L_IC1Int9
L_IC1Int8:
;MotorControl.c,102 :: 		OVDCON = StateTableRev[HallValue];
	MOV	_HallValue, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableRev), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
;MotorControl.c,103 :: 		Hall_Index = HALL_INDEX_R;
; Hall_Index start address is: 2 (W1)
	MOV	#4, W1
; Hall_Index end address is: 2 (W1)
;MotorControl.c,104 :: 		}
L_IC1Int9:
;MotorControl.c,107 :: 		if (HallValue == Hall_Index)  // has the same position been sensed?
; Hall_Index start address is: 2 (W1)
	MOV	#lo_addr(_HallValue), W0
	CP	W1, [W0]
	BRA Z	L__IC1Int28
	GOTO	L_IC1Int10
L__IC1Int28:
; Hall_Index end address is: 2 (W1)
;MotorControl.c,108 :: 		if (polecount++ == POLEPAIRS)  //has one mech rev elasped?
	MOV	#lo_addr(_polecount), W0
	MOV.B	[W0], W2
	MOV.B	#1, W1
	MOV	#lo_addr(_polecount), W0
	ADD.B	W1, [W0], [W0]
	CP.B	W2, #5
	BRA Z	L__IC1Int29
	GOTO	L_IC1Int11
L__IC1Int29:
;MotorControl.c,110 :: 		timer3value = TMR3;
	MOV	TMR3, WREG
	MOV	W0, _timer3value
;MotorControl.c,111 :: 		TMR3 = 0;
	CLR	TMR3
;MotorControl.c,112 :: 		timer3avg = ((timer3avg + timer3value) >> 1);
	MOV	_timer3avg, W1
	MOV	#lo_addr(_timer3value), W0
	ADD	W1, [W0], W0
	LSR	W0, #1, W0
	MOV	W0, _timer3avg
;MotorControl.c,113 :: 		polecount = 1;
	MOV	#lo_addr(_polecount), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;MotorControl.c,114 :: 		}
L_IC1Int11:
L_IC1Int10:
;MotorControl.c,115 :: 		}
L_end_IC1Int:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _IC1Int

_IC2Int:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;MotorControl.c,117 :: 		void IC2Int() iv IVT_ADDR_IC2INTERRUPT
;MotorControl.c,119 :: 		IFS0bits.IC2IF = 0;        // Clear interrupt flag
	BCLR	IFS0bits, #5
;MotorControl.c,120 :: 		HallValue = (unsigned int)((PORTB >> 1) & 0x0007);        // Read halls
	MOV	PORTB, WREG
	LSR	W0, #1, W1
	MOV	#lo_addr(_HallValue), W0
	AND	W1, #7, [W0]
;MotorControl.c,122 :: 		if (Flags.Direction)
	MOV	#lo_addr(_Flags), W0
	BTSS	[W0], #1
	GOTO	L_IC2Int12
;MotorControl.c,123 :: 		OVDCON = StateTableFwd[HallValue];
	MOV	_HallValue, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableFwd), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
	GOTO	L_IC2Int13
L_IC2Int12:
;MotorControl.c,125 :: 		OVDCON = StateTableRev[HallValue];
	MOV	_HallValue, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableRev), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
L_IC2Int13:
;MotorControl.c,126 :: 		}
L_end_IC2Int:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _IC2Int

_IC7Int:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;MotorControl.c,128 :: 		void IC7Int() iv IVT_ADDR_IC7INTERRUPT
;MotorControl.c,130 :: 		IFS1bits.IC7IF = 0;        // Clear interrupt flag
	BCLR	IFS1bits, #6
;MotorControl.c,131 :: 		HallValue = (unsigned int)((PORTB >> 1) & 0x0007);        // Read halls
	MOV	PORTB, WREG
	LSR	W0, #1, W1
	MOV	#lo_addr(_HallValue), W0
	AND	W1, #7, [W0]
;MotorControl.c,132 :: 		if (Flags.Direction)
	MOV	#lo_addr(_Flags), W0
	BTSS	[W0], #1
	GOTO	L_IC7Int14
;MotorControl.c,133 :: 		OVDCON = StateTableFwd[HallValue];
	MOV	_HallValue, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableFwd), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
	GOTO	L_IC7Int15
L_IC7Int14:
;MotorControl.c,135 :: 		OVDCON = StateTableRev[HallValue];
	MOV	_HallValue, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableRev), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
L_IC7Int15:
;MotorControl.c,136 :: 		}
L_end_IC7Int:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _IC7Int

_AdcInt:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;MotorControl.c,138 :: 		void AdcInt() iv IVT_ADDR_ADC1INTERRUPT
;MotorControl.c,140 :: 		IFS0bits.AD1IF = 0;
	BCLR	IFS0bits, #13
;MotorControl.c,142 :: 		MotTemperature =(ADC1BUF0/5);
	MOV	ADC1BUF0, WREG
	MOV	#5, W2
	REPEAT	#17
	DIV.U	W0, W2
	MOV	W0, W1
	MOV	#lo_addr(_MotTemperature), W0
	MOV.B	W1, [W0]
;MotorControl.c,143 :: 		}
L_end_AdcInt:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _AdcInt

_StartMotorFWD:

;MotorControl.c,147 :: 		void StartMotorFWD()
;MotorControl.c,149 :: 		PWMCON1 = 0x0777;        // enable PWM outputs
	MOV	#1911, W0
	MOV	WREG, PWMCON1
;MotorControl.c,150 :: 		HallValue = (unsigned int)((PORTB >> 1) & 0x0007); //Read Rotor Position
	MOV	PORTB, WREG
	LSR	W0, #1, W0
	AND	W0, #7, W0
	MOV	W0, _HallValue
;MotorControl.c,151 :: 		OVDCON = StateTableFwd[HallValue];// Switch phases to start motor
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableFwd), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
;MotorControl.c,152 :: 		PDC1 = PDC2 = PDC3 = 200;  //Force commutation
	MOV	#200, W0
	MOV	WREG, PDC3
	MOV	PDC3, WREG
	MOV	WREG, PDC2
	MOV	PDC2, WREG
	MOV	WREG, PDC1
;MotorControl.c,153 :: 		T3CONbits.TON = 1;     // start tmr3 for speed calculation
	BSET	T3CONbits, #15
;MotorControl.c,154 :: 		polecount = 1;
	MOV	#lo_addr(_polecount), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;MotorControl.c,155 :: 		Flags.isRunning = 1;
	MOV	#lo_addr(_Flags), W0
	BSET	[W0], #2
;MotorControl.c,156 :: 		}
L_end_StartMotorFWD:
	RETURN
; end of _StartMotorFWD

_StartMotorREV:

;MotorControl.c,160 :: 		void StartMotorREV()
;MotorControl.c,162 :: 		PWMCON1 = 0x0777;        // enable PWM outputs
	MOV	#1911, W0
	MOV	WREG, PWMCON1
;MotorControl.c,163 :: 		HallValue = (unsigned int)((PORTB >> 1) & 0x0007); //Read Rotor Position
	MOV	PORTB, WREG
	LSR	W0, #1, W0
	AND	W0, #7, W0
	MOV	W0, _HallValue
;MotorControl.c,164 :: 		OVDCON = StateTableRev[HallValue];// Switch phases to start motor
	SL	W0, #1, W1
	MOV	#lo_addr(_StateTableRev), W0
	ADD	W0, W1, W0
	MOV	[W0], W0
	MOV	WREG, OVDCON
;MotorControl.c,165 :: 		PDC1 = PDC2 = PDC3 = 200; // Force commutation
	MOV	#200, W0
	MOV	WREG, PDC3
	MOV	PDC3, WREG
	MOV	WREG, PDC2
	MOV	PDC2, WREG
	MOV	WREG, PDC1
;MotorControl.c,166 :: 		T3CONbits.TON = 1;     // start tmr3 for speed calculation
	BSET	T3CONbits, #15
;MotorControl.c,167 :: 		polecount = 1;
	MOV	#lo_addr(_polecount), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;MotorControl.c,168 :: 		Flags.isRunning = 1;
	MOV	#lo_addr(_Flags), W0
	BSET	[W0], #2
;MotorControl.c,169 :: 		}
L_end_StartMotorREV:
	RETURN
; end of _StartMotorREV

_StopMotor:

;MotorControl.c,173 :: 		void  StopMotor(void)
;MotorControl.c,175 :: 		PDC1 = PDC2 = PDC3 = 100;
	MOV	#100, W0
	MOV	WREG, PDC3
	MOV	PDC3, WREG
	MOV	WREG, PDC2
	MOV	PDC2, WREG
	MOV	WREG, PDC1
;MotorControl.c,176 :: 		PWMCON1 = 0x0700;       // disable PWMs
	MOV	#1792, W0
	MOV	WREG, PWMCON1
;MotorControl.c,177 :: 		Flags.CloseLoop = 0; // Use speed control PID
	MOV	#lo_addr(_Flags), W0
	BCLR	[W0], #3
;MotorControl.c,178 :: 		Flags.isRunning = 0;
	MOV	#lo_addr(_Flags), W0
	BCLR	[W0], #2
;MotorControl.c,179 :: 		}
L_end_StopMotor:
	RETURN
; end of _StopMotor

_InitMCPWM:

;MotorControl.c,181 :: 		void InitMCPWM(void)
;MotorControl.c,186 :: 		Unlock_IOLOCK();
	PUSH	W10
	PUSH	W11
	PUSH	W12
	CALL	_Unlock_IOLOCK
;MotorControl.c,187 :: 		PPS_Mapping_NoLock(1,_INPUT ,_IC1);
	MOV.B	#6, W12
	MOV.B	#1, W11
	MOV.B	#1, W10
	CALL	_PPS_Mapping_NoLock
;MotorControl.c,188 :: 		PPS_Mapping_NoLock(2,_INPUT ,_IC2);
	MOV.B	#7, W12
	MOV.B	#1, W11
	MOV.B	#2, W10
	CALL	_PPS_Mapping_NoLock
;MotorControl.c,189 :: 		PPS_Mapping_NoLock(3,_INPUT ,_IC7);
	MOV.B	#8, W12
	MOV.B	#1, W11
	MOV.B	#3, W10
	CALL	_PPS_Mapping_NoLock
;MotorControl.c,190 :: 		Lock_IOLOCK();
	CALL	_Lock_IOLOCK
;MotorControl.c,194 :: 		TRISBbits.TRISB15 = 0;
	BCLR	TRISBbits, #15
;MotorControl.c,195 :: 		TRISBbits.TRISB14 = 0;
	BCLR	TRISBbits, #14
;MotorControl.c,196 :: 		TRISBbits.TRISB13 = 0;
	BCLR	TRISBbits, #13
;MotorControl.c,197 :: 		TRISBbits.TRISB12 = 0;
	BCLR	TRISBbits, #12
;MotorControl.c,198 :: 		TRISBbits.TRISB11 = 0;
	BCLR	TRISBbits, #11
;MotorControl.c,199 :: 		TRISBbits.TRISB10 = 0;
	BCLR	TRISBbits, #10
;MotorControl.c,200 :: 		TRISBbits.TRISB3  = 1;
	BSET	TRISBbits, #3
;MotorControl.c,201 :: 		TRISBbits.TRISB2  = 1;
	BSET	TRISBbits, #2
;MotorControl.c,209 :: 		T1CON = 0x8020;      // internal Tcy/64 clock
	MOV	#32800, W0
	MOV	WREG, T1CON
;MotorControl.c,210 :: 		TMR1 = 0;
	CLR	TMR1
;MotorControl.c,211 :: 		PR1 = T1PR1;
	MOV	#156, W0
	MOV	WREG, PR1
;MotorControl.c,212 :: 		T1CONbits.TON = 1;  // turn on timer 1
	BSET	T1CONbits, #15
;MotorControl.c,213 :: 		IFS0bits.T1IF = 0;
	BCLR	IFS0bits, #3
;MotorControl.c,214 :: 		IEC0bits.T1IE = 1;
	BSET	IEC0bits, #3
;MotorControl.c,218 :: 		T3CON = 0x0030;           // internal Tcy/256 clock
	MOV	#48, W0
	MOV	WREG, T3CON
;MotorControl.c,219 :: 		TMR3 = 0;
	CLR	TMR3
;MotorControl.c,220 :: 		PR3 = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, PR3
;MotorControl.c,227 :: 		IC1CON = 1;        // Init all 3 Hall Effect capture inputs:
	MOV	#1, W0
	MOV	WREG, IC1CON
;MotorControl.c,228 :: 		IC2CON = 1;        // Timer 3, every capture event, rise & fall edges
	MOV	#1, W0
	MOV	WREG, IC2CON
;MotorControl.c,229 :: 		IC7CON = 1;
	MOV	#1, W0
	MOV	WREG, IC7CON
;MotorControl.c,231 :: 		IFS0bits.IC1IF = 0;     // Clear interrupt flag
	BCLR	IFS0bits, #1
;MotorControl.c,232 :: 		IFS0bits.IC2IF = 0;
	BCLR	IFS0bits, #5
;MotorControl.c,233 :: 		IFS1bits.IC7IF = 0;
	BCLR	IFS1bits, #6
;MotorControl.c,234 :: 		IEC0bits.IC1IE = 1;    // Enable interrupt
	BSET	IEC0bits, #1
;MotorControl.c,235 :: 		IEC0bits.IC2IE = 1;
	BSET	IEC0bits, #5
;MotorControl.c,236 :: 		IEC1bits.IC7IE = 1;
	BSET	IEC1bits, #6
;MotorControl.c,238 :: 		PTPER = FCY/FPWM - 1;
	MOV	#255, W0
	MOV	WREG, PTPER
;MotorControl.c,239 :: 		PWMCON1 = 0x0700;       // disable PWMs
	MOV	#1792, W0
	MOV	WREG, PWMCON1
;MotorControl.c,240 :: 		OVDCON = 0x0000;        // allow control using OVD
	CLR	OVDCON
;MotorControl.c,241 :: 		PDC1 = 100;             // init PWM 1, 2 and 3 to 100
	MOV	#100, W0
	MOV	WREG, PDC1
;MotorControl.c,242 :: 		PDC2 = 100;
	MOV	#100, W0
	MOV	WREG, PDC2
;MotorControl.c,243 :: 		PDC3 = 100;
	MOV	#100, W0
	MOV	WREG, PDC3
;MotorControl.c,244 :: 		SEVTCMP = PTPER;
	MOV	PTPER, WREG
	MOV	WREG, SEVTCMP
;MotorControl.c,245 :: 		PWMCON2 = 0x0F00;      // 16 postscale values
	MOV	#3840, W0
	MOV	WREG, PWMCON2
;MotorControl.c,246 :: 		PTCON = 0x8000;        // start PWM
	MOV	#32768, W0
	MOV	WREG, PTCON
;MotorControl.c,250 :: 		Flags.RunMotor = 0;
	MOV	#lo_addr(_Flags), W0
	BCLR	[W0], #0
;MotorControl.c,251 :: 		Flags.Direction = 0;
	MOV	#lo_addr(_Flags), W0
	BCLR	[W0], #1
;MotorControl.c,252 :: 		Flags.isRunning = 0;
	MOV	#lo_addr(_Flags), W0
	BCLR	[W0], #2
;MotorControl.c,253 :: 		ActualSpeed = 0;
	CLR	W0
	MOV	W0, _ActualSpeed
;MotorControl.c,254 :: 		}
L_end_InitMCPWM:
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _InitMCPWM

_InitADC10:

;MotorControl.c,256 :: 		void InitADC10(void)
;MotorControl.c,258 :: 		AD1PCFGLbits.PCFG8 = 0;         // ensure AN8 pot
	BCLR	AD1PCFGLbits, #8
;MotorControl.c,261 :: 		AD1CON1 = 0x006C;
	MOV	#108, W0
	MOV	WREG, AD1CON1
;MotorControl.c,263 :: 		AD1CON1bits.AD12B = 0;
	BCLR	AD1CON1bits, #10
;MotorControl.c,266 :: 		AD1CON2 = 0x0000;
	CLR	AD1CON2
;MotorControl.c,268 :: 		AD1CON3 = 0x032F;
	MOV	#815, W0
	MOV	WREG, AD1CON3
;MotorControl.c,269 :: 		AD1CSSL = 0x0000;
	CLR	AD1CSSL
;MotorControl.c,271 :: 		AD1CHS0 = 0x0008;
	MOV	#8, W0
	MOV	WREG, AD1CHS0
;MotorControl.c,272 :: 		IFS0bits.AD1IF = 0;
	BCLR	IFS0bits, #13
;MotorControl.c,273 :: 		IEC0bits.AD1IE = 1;
	BSET	IEC0bits, #13
;MotorControl.c,274 :: 		AD1CON1bits.ADON = 1;
	BSET	AD1CON1bits, #15
;MotorControl.c,275 :: 		}
L_end_InitADC10:
	RETURN
; end of _InitADC10
