
_ConfigMc:

;Config.mbas,17 :: 		sub procedure ConfigMc()
;Config.mbas,18 :: 		ADCON1 = ADCON1 or 0x0F  'Configure all ports with analog function as digital
	MOVLW       15
	IORWF       ADCON1+0, 1 
;Config.mbas,19 :: 		CMCON  = CMCON or 7      'Disable comparators
	MOVLW       7
	IORWF       CMCON+0, 1 
;Config.mbas,20 :: 		TRISD.B1 = 0             'Led pin  Rx Led
	BCF         TRISD+0, 1 
;Config.mbas,21 :: 		TRISD.B0 = 0             'Led pin  Tx Led
	BCF         TRISD+0, 0 
;Config.mbas,22 :: 		TRISA.B5 = 0             'Led pin  Usb active led
	BCF         TRISA+0, 5 
;Config.mbas,23 :: 		LATA.B5 = 1              'Switch Led Off
	BSF         LATA+0, 5 
;Config.mbas,24 :: 		LATD.B0 = 1              'Switch Led Off
	BSF         LATD+0, 0 
;Config.mbas,25 :: 		LATD.B1 = 1              'Switch Led Off
	BSF         LATD+0, 1 
;Config.mbas,29 :: 		SPI1_Init()
	CALL        _SPI1_Init+0, 0
;Config.mbas,33 :: 		Can_Init_Flags = 0
	CLRF        _Can_Init_Flags+0 
;Config.mbas,34 :: 		Can_Send_Flags = 0
	CLRF        _Can_Send_Flags+0 
;Config.mbas,35 :: 		Can_Rcv_Flags  = 0   'Clear CAN flags
	CLRF        _Can_Rcv_Flags+0 
;Config.mbas,41 :: 		_CANSPI_TX_NO_RTR_FRAME
	MOVLW       252
	MOVWF       _Can_Send_Flags+0 
;Config.mbas,50 :: 		_CANSPI_CONFIG_VALID_STD_MSG
	MOVLW       187
	MOVWF       _Can_Init_Flags+0 
;Config.mbas,55 :: 		CANSPIInitialize(1,1,7,6,6,Can_Init_Flags)
	MOVLW       1
	MOVWF       FARG_CANSPIInitialize_SJW+0 
	MOVLW       1
	MOVWF       FARG_CANSPIInitialize_BRP+0 
	MOVLW       7
	MOVWF       FARG_CANSPIInitialize_PHSEG1+0 
	MOVLW       6
	MOVWF       FARG_CANSPIInitialize_PHSEG2+0 
	MOVLW       6
	MOVWF       FARG_CANSPIInitialize_PROPSEG+0 
	MOVLW       187
	MOVWF       FARG_CANSPIInitialize_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPIInitialize+0, 0
;Config.mbas,56 :: 		CANSPISetOperationMode(_CANSPI_MODE_CONFIG,0xFF)
	MOVLW       128
	MOVWF       FARG_CANSPISetOperationMode_mode+0 
	MOVLW       255
	MOVWF       FARG_CANSPISetOperationMode_WAIT+0 
	CALL        _CANSPISetOperationMode+0, 0
;Config.mbas,60 :: 		CANSPISetMask(_CANSPI_MASK_B1,-1,_CANSPI_CONFIG_STD_MSG)
	CLRF        FARG_CANSPISetMask_CANSPI_MASK+0 
	MOVLW       255
	MOVWF       FARG_CANSPISetMask_val+0 
	MOVLW       255
	MOVWF       FARG_CANSPISetMask_val+1 
	MOVWF       FARG_CANSPISetMask_val+2 
	MOVWF       FARG_CANSPISetMask_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetMask_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetMask+0, 0
;Config.mbas,61 :: 		CANSPISetMask(_CANSPI_MASK_B2,-1,_CANSPI_CONFIG_STD_MSG)
	MOVLW       1
	MOVWF       FARG_CANSPISetMask_CANSPI_MASK+0 
	MOVLW       255
	MOVWF       FARG_CANSPISetMask_val+0 
	MOVLW       255
	MOVWF       FARG_CANSPISetMask_val+1 
	MOVWF       FARG_CANSPISetMask_val+2 
	MOVWF       FARG_CANSPISetMask_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetMask_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetMask+0, 0
;Config.mbas,65 :: 		CANSPISetFilter(_CANSPI_FILTER_B1_F1,0x210,_CANSPI_CONFIG_STD_MSG)
	CLRF        FARG_CANSPISetFilter_CANSPI_FILTER+0 
	MOVLW       16
	MOVWF       FARG_CANSPISetFilter_val+0 
	MOVLW       2
	MOVWF       FARG_CANSPISetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSPISetFilter_val+2 
	MOVWF       FARG_CANSPISetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetFilter_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetFilter+0, 0
;Config.mbas,66 :: 		CANSPISetFilter(_CANSPI_FILTER_B1_F2,0x210,_CANSPI_CONFIG_STD_MSG)
	MOVLW       1
	MOVWF       FARG_CANSPISetFilter_CANSPI_FILTER+0 
	MOVLW       16
	MOVWF       FARG_CANSPISetFilter_val+0 
	MOVLW       2
	MOVWF       FARG_CANSPISetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSPISetFilter_val+2 
	MOVWF       FARG_CANSPISetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetFilter_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetFilter+0, 0
;Config.mbas,67 :: 		CANSPISetFilter(_CANSPI_FILTER_B2_F1,0x310,_CANSPI_CONFIG_STD_MSG)
	MOVLW       2
	MOVWF       FARG_CANSPISetFilter_CANSPI_FILTER+0 
	MOVLW       16
	MOVWF       FARG_CANSPISetFilter_val+0 
	MOVLW       3
	MOVWF       FARG_CANSPISetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSPISetFilter_val+2 
	MOVWF       FARG_CANSPISetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetFilter_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetFilter+0, 0
;Config.mbas,68 :: 		CANSPISetFilter(_CANSPI_FILTER_B2_F2,0x310,_CANSPI_CONFIG_STD_MSG)
	MOVLW       3
	MOVWF       FARG_CANSPISetFilter_CANSPI_FILTER+0 
	MOVLW       16
	MOVWF       FARG_CANSPISetFilter_val+0 
	MOVLW       3
	MOVWF       FARG_CANSPISetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSPISetFilter_val+2 
	MOVWF       FARG_CANSPISetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetFilter_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetFilter+0, 0
;Config.mbas,69 :: 		CANSPISetFilter(_CANSPI_FILTER_B2_F3,0x410,_CANSPI_CONFIG_STD_MSG)
	MOVLW       4
	MOVWF       FARG_CANSPISetFilter_CANSPI_FILTER+0 
	MOVLW       16
	MOVWF       FARG_CANSPISetFilter_val+0 
	MOVLW       4
	MOVWF       FARG_CANSPISetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSPISetFilter_val+2 
	MOVWF       FARG_CANSPISetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetFilter_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetFilter+0, 0
;Config.mbas,70 :: 		CANSPISetFilter(_CANSPI_FILTER_B2_F4,0x410,_CANSPI_CONFIG_STD_MSG)
	MOVLW       5
	MOVWF       FARG_CANSPISetFilter_CANSPI_FILTER+0 
	MOVLW       16
	MOVWF       FARG_CANSPISetFilter_val+0 
	MOVLW       4
	MOVWF       FARG_CANSPISetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSPISetFilter_val+2 
	MOVWF       FARG_CANSPISetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSPISetFilter_CANSPI_CONFIG_FLAGS+0 
	CALL        _CANSPISetFilter+0, 0
;Config.mbas,74 :: 		CANSPISetOperationMode(_CANSPI_MODE_NORMAL,0xFF)
	CLRF        FARG_CANSPISetOperationMode_mode+0 
	MOVLW       255
	MOVWF       FARG_CANSPISetOperationMode_WAIT+0 
	CALL        _CANSPISetOperationMode+0, 0
;Config.mbas,75 :: 		Msg_Rcvd = 0
	CLRF        _Msg_Rcvd+0 
;Config.mbas,79 :: 		for cnt = 0 To 63 step 1
	CLRF        _cnt+0 
L__ConfigMc2:
;Config.mbas,80 :: 		ReadBuffer[cnt] = 0
	MOVLW       _ReadBuffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_ReadBuffer+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;Config.mbas,81 :: 		WriteBuffer[cnt] = 0
	MOVLW       _WriteBuffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_WriteBuffer+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;Config.mbas,82 :: 		next cnt
	MOVF        _cnt+0, 0 
	XORLW       63
	BTFSC       STATUS+0, 2 
	GOTO        L__ConfigMc5
	INCF        _cnt+0, 1 
	GOTO        L__ConfigMc2
L__ConfigMc5:
;Config.mbas,83 :: 		CMD_Control = 0
	CLRF        _CMD_Control+0 
;Config.mbas,84 :: 		MotorSpeed = 0
	CLRF        _MotorSpeed+0 
;Config.mbas,85 :: 		end sub
L_end_ConfigMc:
	RETURN      0
; end of _ConfigMc
