
_IO_CanRead:

;USB_CAN_Driver.mbas,56 :: 		sub procedure IO_CanRead()
;USB_CAN_Driver.mbas,57 :: 		Msg_Rcvd = CANSPIRead(Rx_ID,Rx_Data,Rx_Data_Len,Can_Rcv_Flags)
	MOVLW       _Rx_ID+0
	MOVWF       FARG_CANSPIRead_id+0 
	MOVLW       hi_addr(_Rx_ID+0)
	MOVWF       FARG_CANSPIRead_id+1 
	MOVLW       _Rx_Data+0
	MOVWF       FARG_CANSPIRead_Rd_Data+0 
	MOVLW       hi_addr(_Rx_Data+0)
	MOVWF       FARG_CANSPIRead_Rd_Data+1 
	MOVLW       _Rx_Data_len+0
	MOVWF       FARG_CANSPIRead_data_len+0 
	MOVLW       hi_addr(_Rx_Data_len+0)
	MOVWF       FARG_CANSPIRead_data_len+1 
	MOVLW       _Can_Rcv_Flags+0
	MOVWF       FARG_CANSPIRead_CANSPI_RX_MSG_FLAGS+0 
	MOVLW       hi_addr(_Can_Rcv_Flags+0)
	MOVWF       FARG_CANSPIRead_CANSPI_RX_MSG_FLAGS+1 
	CALL        _CANSPIRead+0, 0
	MOVF        R0, 0 
	MOVWF       _Msg_Rcvd+0 
;USB_CAN_Driver.mbas,58 :: 		if(Msg_Rcvd <> 0) Then
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__IO_CanRead2
;USB_CAN_Driver.mbas,59 :: 		Msg_Rcvd = 0   'Clear Message received Flag
	CLRF        _Msg_Rcvd+0 
;USB_CAN_Driver.mbas,62 :: 		Case 0x210
	MOVLW       0
	MOVWF       R0 
	XORWF       _Rx_ID+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead30
	MOVF        R0, 0 
	XORWF       _Rx_ID+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead30
	MOVLW       2
	XORWF       _Rx_ID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead30
	MOVF        _Rx_ID+0, 0 
	XORLW       16
L__IO_CanRead30:
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead7
;USB_CAN_Driver.mbas,63 :: 		ServoStatus = Rx_Data[0]
	MOVF        _Rx_Data+0, 0 
	MOVWF       _ServoStatus+0 
;USB_CAN_Driver.mbas,64 :: 		ActualSpeedLow = Rx_Data[1]  'Actual speed low byte
	MOVF        _Rx_Data+1, 0 
	MOVWF       _ActualSpeedLow+0 
;USB_CAN_Driver.mbas,65 :: 		ActualSpeedHigh = Rx_Data[2] 'Actual Speed high byte
	MOVF        _Rx_Data+2, 0 
	MOVWF       _ActualSpeedHigh+0 
;USB_CAN_Driver.mbas,66 :: 		MotTemperature = Rx_Data[3]
	MOVF        _Rx_Data+3, 0 
	MOVWF       _MotTemperature+0 
;USB_CAN_Driver.mbas,67 :: 		LATD.B1 = PORTD.B1 Xor 1
	BTFSC       PORTD+0, 1 
	GOTO        L__IO_CanRead31
	BSF         LATD+0, 1 
	GOTO        L__IO_CanRead32
L__IO_CanRead31:
	BCF         LATD+0, 1 
L__IO_CanRead32:
	GOTO        L__IO_CanRead4
L__IO_CanRead7:
;USB_CAN_Driver.mbas,68 :: 		Case 0x310
	MOVLW       0
	MOVWF       R0 
	XORWF       _Rx_ID+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead33
	MOVF        R0, 0 
	XORWF       _Rx_ID+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead33
	MOVLW       3
	XORWF       _Rx_ID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead33
	MOVF        _Rx_ID+0, 0 
	XORLW       16
L__IO_CanRead33:
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead10
;USB_CAN_Driver.mbas,69 :: 		nop                                                 '
	NOP
	GOTO        L__IO_CanRead4
L__IO_CanRead10:
;USB_CAN_Driver.mbas,70 :: 		Case 0x410
	MOVLW       0
	MOVWF       R0 
	XORWF       _Rx_ID+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead34
	MOVF        R0, 0 
	XORWF       _Rx_ID+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead34
	MOVLW       4
	XORWF       _Rx_ID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead34
	MOVF        _Rx_ID+0, 0 
	XORLW       16
L__IO_CanRead34:
	BTFSS       STATUS+0, 2 
	GOTO        L__IO_CanRead13
;USB_CAN_Driver.mbas,71 :: 		nop
	NOP
	GOTO        L__IO_CanRead4
L__IO_CanRead13:
L__IO_CanRead4:
;USB_CAN_Driver.mbas,72 :: 		end select
L__IO_CanRead2:
;USB_CAN_Driver.mbas,74 :: 		end sub
L_end_IO_CanRead:
	RETURN      0
; end of _IO_CanRead

_IO_CanWrite:

;USB_CAN_Driver.mbas,78 :: 		sub procedure IO_CanWrite()
;USB_CAN_Driver.mbas,79 :: 		if(FlagTxCan = 1)then
	BTFSS       _Flags+0, 0 
	GOTO        L__IO_CanWrite16
;USB_CAN_Driver.mbas,80 :: 		Msg_211()
	CALL        _Msg_211+0, 0
;USB_CAN_Driver.mbas,81 :: 		Msg_311()
	CALL        _Msg_311+0, 0
;USB_CAN_Driver.mbas,82 :: 		FlagTxCan = 0
	BCF         _Flags+0, 0 
;USB_CAN_Driver.mbas,83 :: 		LATD.B0 = PORTD.B0 Xor 1
	BTFSC       PORTD+0, 0 
	GOTO        L__IO_CanWrite36
	BSF         LATD+0, 0 
	GOTO        L__IO_CanWrite37
L__IO_CanWrite36:
	BCF         LATD+0, 0 
L__IO_CanWrite37:
L__IO_CanWrite16:
;USB_CAN_Driver.mbas,85 :: 		end sub
L_end_IO_CanWrite:
	RETURN      0
; end of _IO_CanWrite

_HID_ReadWrite:

;USB_CAN_Driver.mbas,89 :: 		sub procedure HID_ReadWrite()
;USB_CAN_Driver.mbas,90 :: 		HidDataReady  = HID_Read()
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _HidDataReady+0 
;USB_CAN_Driver.mbas,91 :: 		if (HidDataReady <>0) then
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__HID_ReadWrite20
;USB_CAN_Driver.mbas,92 :: 		CMD_Control = ReadBuffer[0]
	MOVF        1280, 0 
	MOVWF       _CMD_Control+0 
;USB_CAN_Driver.mbas,93 :: 		MotorSpeed = ReadBuffer[1]
	MOVF        1281, 0 
	MOVWF       _MotorSpeed+0 
;USB_CAN_Driver.mbas,94 :: 		WriteBuffer[0] = ServoStatus
	MOVF        _ServoStatus+0, 0 
	MOVWF       1344 
;USB_CAN_Driver.mbas,95 :: 		WriteBuffer[1] = ActualSpeedLow
	MOVF        _ActualSpeedLow+0, 0 
	MOVWF       1345 
;USB_CAN_Driver.mbas,96 :: 		WriteBuffer[2] = ActualSpeedHigh
	MOVF        _ActualSpeedHigh+0, 0 
	MOVWF       1346 
;USB_CAN_Driver.mbas,97 :: 		WriteBuffer[3] = (MotTemperature - 40)
	MOVLW       40
	SUBWF       _MotTemperature+0, 0 
	MOVWF       1347 
;USB_CAN_Driver.mbas,101 :: 		while(HID_Write(@WriteBuffer,64) = 0)
L__HID_ReadWrite23:
	MOVLW       _WriteBuffer+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_WriteBuffer+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__HID_ReadWrite23
;USB_CAN_Driver.mbas,103 :: 		HidDataReady   = 0
	CLRF        _HidDataReady+0 
;USB_CAN_Driver.mbas,104 :: 		LATA.B5 = PORTA.B5 Xor 1
	BTFSC       PORTA+0, 5 
	GOTO        L__HID_ReadWrite39
	BSF         LATA+0, 5 
	GOTO        L__HID_ReadWrite40
L__HID_ReadWrite39:
	BCF         LATA+0, 5 
L__HID_ReadWrite40:
L__HID_ReadWrite20:
;USB_CAN_Driver.mbas,106 :: 		end sub
L_end_HID_ReadWrite:
	RETURN      0
; end of _HID_ReadWrite

_Msg_211:

;USB_CAN_Driver.mbas,110 :: 		sub procedure Msg_211()
;USB_CAN_Driver.mbas,111 :: 		Tx_Data[0] = CMD_Control
	MOVF        _CMD_Control+0, 0 
	MOVWF       _Tx_Data+0 
;USB_CAN_Driver.mbas,112 :: 		Tx_Data[1] = MotorSpeed
	MOVF        _MotorSpeed+0, 0 
	MOVWF       _Tx_Data+1 
;USB_CAN_Driver.mbas,113 :: 		Tx_Data[2] = 0
	CLRF        _Tx_Data+2 
;USB_CAN_Driver.mbas,114 :: 		Tx_Data[3] = 0
	CLRF        _Tx_Data+3 
;USB_CAN_Driver.mbas,115 :: 		Tx_Data_Len = 4
	MOVLW       4
	MOVWF       _Tx_Data_Len+0 
;USB_CAN_Driver.mbas,116 :: 		Tx_ID = 0x211
	MOVLW       17
	MOVWF       _Tx_ID+0 
	MOVLW       2
	MOVWF       _Tx_ID+1 
	MOVLW       0
	MOVWF       _Tx_ID+2 
	MOVWF       _Tx_ID+3 
;USB_CAN_Driver.mbas,117 :: 		CANSPIWrite(Tx_ID,Tx_Data,Tx_Data_Len,Can_Send_Flags)
	MOVLW       17
	MOVWF       FARG_CANSPIWrite_id+0 
	MOVLW       2
	MOVWF       FARG_CANSPIWrite_id+1 
	MOVLW       0
	MOVWF       FARG_CANSPIWrite_id+2 
	MOVLW       0
	MOVWF       FARG_CANSPIWrite_id+3 
	MOVLW       _Tx_Data+0
	MOVWF       FARG_CANSPIWrite_wr_data+0 
	MOVLW       hi_addr(_Tx_Data+0)
	MOVWF       FARG_CANSPIWrite_wr_data+1 
	MOVLW       4
	MOVWF       FARG_CANSPIWrite_data_len+0 
	MOVF        _Can_Send_Flags+0, 0 
	MOVWF       FARG_CANSPIWrite_CANSPI_TX_MSG_FLAGS+0 
	CALL        _CANSPIWrite+0, 0
;USB_CAN_Driver.mbas,118 :: 		end sub
L_end_Msg_211:
	RETURN      0
; end of _Msg_211

_Msg_311:

;USB_CAN_Driver.mbas,122 :: 		sub procedure Msg_311()
;USB_CAN_Driver.mbas,123 :: 		Tx_Data[0] = 0
	CLRF        _Tx_Data+0 
;USB_CAN_Driver.mbas,124 :: 		Tx_Data[1] = 0
	CLRF        _Tx_Data+1 
;USB_CAN_Driver.mbas,125 :: 		Tx_Data[2] = 0
	CLRF        _Tx_Data+2 
;USB_CAN_Driver.mbas,126 :: 		Tx_Data[3] = 0
	CLRF        _Tx_Data+3 
;USB_CAN_Driver.mbas,127 :: 		Tx_Data[4] = 0
	CLRF        _Tx_Data+4 
;USB_CAN_Driver.mbas,128 :: 		Tx_Data[5] = 0
	CLRF        _Tx_Data+5 
;USB_CAN_Driver.mbas,129 :: 		Tx_Data[6] = 0
	CLRF        _Tx_Data+6 
;USB_CAN_Driver.mbas,130 :: 		Tx_Data[7] = 0
	CLRF        _Tx_Data+7 
;USB_CAN_Driver.mbas,131 :: 		Tx_Data_Len = 8
	MOVLW       8
	MOVWF       _Tx_Data_Len+0 
;USB_CAN_Driver.mbas,132 :: 		Tx_ID = 0x311
	MOVLW       17
	MOVWF       _Tx_ID+0 
	MOVLW       3
	MOVWF       _Tx_ID+1 
	MOVLW       0
	MOVWF       _Tx_ID+2 
	MOVWF       _Tx_ID+3 
;USB_CAN_Driver.mbas,133 :: 		CANSPIWrite(Tx_ID,Tx_Data,Tx_Data_Len,Can_Send_Flags)
	MOVLW       17
	MOVWF       FARG_CANSPIWrite_id+0 
	MOVLW       3
	MOVWF       FARG_CANSPIWrite_id+1 
	MOVLW       0
	MOVWF       FARG_CANSPIWrite_id+2 
	MOVLW       0
	MOVWF       FARG_CANSPIWrite_id+3 
	MOVLW       _Tx_Data+0
	MOVWF       FARG_CANSPIWrite_wr_data+0 
	MOVLW       hi_addr(_Tx_Data+0)
	MOVWF       FARG_CANSPIWrite_wr_data+1 
	MOVLW       8
	MOVWF       FARG_CANSPIWrite_data_len+0 
	MOVF        _Can_Send_Flags+0, 0 
	MOVWF       FARG_CANSPIWrite_CANSPI_TX_MSG_FLAGS+0 
	CALL        _CANSPIWrite+0, 0
;USB_CAN_Driver.mbas,134 :: 		end sub
L_end_Msg_311:
	RETURN      0
; end of _Msg_311
