
_Interrupt:

;UsbHidCAN.mbas,15 :: 		sub procedure Interrupt()
;UsbHidCAN.mbas,16 :: 		USB_Interrupt_Proc()   'USB servicing
	CALL        _USB_Interrupt_Proc+0, 0
;UsbHidCAN.mbas,17 :: 		inc(TxCounter)
	INCF        _TxCounter+0, 1 
;UsbHidCAN.mbas,18 :: 		if(TxCounter = 20)then  'Write CAN Msessages every 10mSec
	MOVF        _TxCounter+0, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt2
;UsbHidCAN.mbas,19 :: 		FlagTxCan = 1        'Set the Flag to allow writes to CAN
	BSF         _FlagTxCan+0, 0 
;UsbHidCAN.mbas,20 :: 		TxCounter = 0        'Clear the 10mSec Counter
	CLRF        _TxCounter+0 
L__Interrupt2:
;UsbHidCAN.mbas,22 :: 		end sub
L_end_Interrupt:
L__Interrupt11:
	RETFIE      1
; end of _Interrupt

_main:

;UsbHidCAN.mbas,26 :: 		main:
;UsbHidCAN.mbas,27 :: 		ConfigMc()'Configure Micro Controller
	CALL        _ConfigMc+0, 0
;UsbHidCAN.mbas,28 :: 		HID_Enable(@ReadBuffer,@WriteBuffer) 'Enable HID communication
	MOVLW       _ReadBuffer+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_ReadBuffer+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _WriteBuffer+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_WriteBuffer+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;UsbHidCAN.mbas,32 :: 		while True
L__main6:
;UsbHidCAN.mbas,33 :: 		IO_CanRead()
	CALL        _IO_CanRead+0, 0
;UsbHidCAN.mbas,34 :: 		IO_CanWrite()
	CALL        _IO_CanWrite+0, 0
;UsbHidCAN.mbas,35 :: 		HID_ReadWrite()
	CALL        _HID_ReadWrite+0, 0
;UsbHidCAN.mbas,36 :: 		wend
	GOTO        L__main6
L_end_main:
	GOTO        $+0
; end of _main
